## qtwebkit-opensource-src 5.2.0+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.2.0+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildd's logs.
  * Workaround FTBFS in 64 bits big endian archs.
    See https://bugs.webkit.org/show_bug.cgi?id=113638

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Dec 2013 08:57:57 -0300

qtwebkit-opensource-src (5.2.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Bump Qt build dependencies.
  * Refresh 05_sparc_unaligned_access.diff, no_gc_sections.diff and hurd.diff.
  * Remove new private stuff we are not shipping.
  * Update symbols files.
  * Remove jsmin.py from the original tarball because it is not
    DFSG-compatible.
    - Create a dfsg version.
    - Add a rule to prune non-free stuff in debian/rules.
    - Mangle the dfsg version in debian/watch.
  * Fix wrong name and path of the GPL-2 license in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Dec 2013 20:56:37 -0300

=== debian/control ===
Source: qtwebkit-opensource-src
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               flex,
               bison,
               gperf,
               python-minimal,
               python2.7,
               ruby,
               libgstreamer0.10-dev, 
               libgstreamer-plugins-base0.10-dev,
               libicu-dev,
               libsqlite3-dev,
               libxml2-dev,
               mesa-common-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libxrender-dev,
               libxslt1-dev,
               libqt5xmlpatterns5-private-dev (>= 5.2.0-1~),
               qtbase5-private-dev (>= 5.2.0+dfsg~),
               libqt5opengl5-dev (>= 5.2.0+dfsg~),
               qtscript5-private-dev (>= 5.2.0-1~),
               qtdeclarative5-private-dev (>= 5.2.0-1~),
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               chrpath,
               libpng-dev,
               libjpeg-dev,
               libfontconfig1-dev,
               libwebp-dev,
               libxcomposite-dev
Build-Depends-Indep: libqt5sql5-sqlite,
                     qttools5-dev-tools (>= 5.2.0-1~)
Standards-Version: 3.9.4
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qt5webkit.git;a=summary

Package: libqt5webkit5-dev
Section: libdevel
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: qtbase5-dev,
         libqt5webkit5 (= ${binary:Version}),
         ${misc:Depends},
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 5 applications
 using QtWebKit library.

Package: libqt5webkit5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the QtWebKit libraries.

Package: libqt5webkit5-qmlwebkitplugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqt5webkit5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5webkit5 (= ${binary:Version}), ${misc:Depends}
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

Package: qtwebkit5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 webkit documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 webkit libraries.

Package: qtwebkit5-doc-html
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 webkit HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 webkit
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
ifneq (,$(filter $(DEB_HOST_ARCH),s390 s390x armel armhf mips mipsel m68k))
    export DEB_CFLAGS_MAINT_STRIP := -g
    export DEB_CFLAGS_MAINT_APPEND := -gstabs
    export DEB_CXXFLAGS_MAINT_STRIP := -g
    export DEB_CXXFLAGS_MAINT_APPEND := -gstabs
endif
ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
    export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-relax
endif

# Workaround FTBFS in 64 bits big endian archs.
# See https://bugs.webkit.org/show_bug.cgi?id=113638
ifneq (,$(filter $(DEB_BUILD_ARCH),alpha hppa ia64 powerpc ppc64 sparc sparc64 s390 s390x))
	DEB_CPPFLAGS_MAINT_APPREND += -DENABLE_JIT=0 -DENABLE_YARR_JIT=0 -DENABLE_ASSEMBLER=0
endif

%:
	dh $@ --parallel --dbg-package=libqt5webkit5-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake

override_dh_auto_build-arch:
	# This override may seem futile, but it helps us make sure that the tools
	# needed for building the docs are built before calling them.
	# If there's a better way, do not heasitate to tell us.
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	make install INSTALL_ROOT=$(CURDIR)/debian/tmp
	
	# Remove rpath from the offending binaries
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebProcess
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebPluginProcess
	
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
	
	# Remove private headers
	rm -rf debian/tmp/usr/include/qt5/QtWebKit/*/QtWebKit
	rm -rf debian/tmp/usr/include/qt5/QtWebKitWidgets/*/QtWebKitWidgets
	# And associated files
	rm -fv debian/tmp/usr/share/qt5/mkspecs/modules/qt_lib_webkit_private.pri
	rm -fv debian/tmp/usr/share/qt5/mkspecs/modules/qt_lib_webkitwidgets_private.pri
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

prune-nonfree:
	# See http://lists.qt-project.org/pipermail/development/2013-December/014659.html
	# and https://wiki.debian.org/qa.debian.org/jsonevil
	rm -fv Source/WebInspectorUI/Scripts/jsmin.py

## qtwebkit-opensource-src 5.3.0+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.3.0+dfsg-1ubuntu2) utopic; urgency=medium

  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 05 Jun 2014 11:42:21 +0000

qtwebkit-opensource-src (5.3.0+dfsg-1ubuntu1) utopic; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release
  * Change include directories
  * Drop patches merged upstream:
    - debian/patches/aarch64.patch
    - debian/patches/dont_pollute_pri_and_pc_with_private_deps.patch
    - debian/patches/fix_ftbfs_in_archs_without_jit_support.patch
  * Update symbols file.
  * Sync with Debian's 5.3.0 packaging
    - Remaining changes building with GStreamer 1.0 and without WebP
    - Drop sensors and location b-d, not critical and Oxide provides those
    - Keep the transitional QML package
    - Keep additional patches from webkit.org upstream

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 05 Jun 2014 06:51:34 +0000

qtwebkit-opensource-src (5.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Do not build qtwebkit5-doc from this source anymore. It will now be built
    from qttools. In this way we allow qttools to build depend upon
    libqt5webkit5-dev without creating a circular dependency.
  * Do not force dh_builddeb to use xz compression: it's now the default.
  * Bump Qt build dependencies.
  * Remove fix_ftbfs_in_archs_without_jit_support.patch and
    dont_pollute_pri_and_pc_with_private_deps.patch, applied upstream.
  * Refresh no_gc_sections.diff.
  * Install headers in their new multi-arch qualified path. Mark the
    development package as Multi-Arch: same.
  * Take into account the new multi-arch path for removing the private
    headers.
  * Update symbols files with current log. The missing symbols are private
    stuff not present in any static method.
  * Remove the transitional package libqt5webkit5-qmlwebkitplugin.
  * Switch debugging symbols for amd64 to gstabs until we are able to build
    normal symbols again.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 23 May 2014 21:53:24 -0300

qtwebkit-opensource-src (5.2.1+dfsg1-1ubuntu2) utopic; urgency=medium

  * Update arm64 and ppc64el symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jun 2014 09:03:36 +0000

qtwebkit-opensource-src (5.2.1+dfsg1-1ubuntu1) utopic; urgency=medium

  * debian/control: Sort build-dependencies.
  * Merge with unreleased debian Git, remaining changes:
    - Build against qtsensors and qtlocation for additional features.
    - Build-depend on libudev-dev.
    - Build against GStreamer 1.0.
    - Disable WebP support since webp not in main.
    - Make libqt5webkit5-dev on some additional dev packages.
    - Backport upstream patches:
      + LLIntCLoop32BigEndian.patch
      + bug_118860_qtwebkit_511.patch
      + fix_unsafe_memory_load_store_on_arm.patch
      + aarch64.patch
    - Add Ubuntu-specific patches:
      + devicePixelResolution.patch
      + add_experimentalDevicePixelRatio.patch
    - Add Vcs-Bzr field.
  * Drop private headers, touch apps using them got ported to Oxide.
  * Refresh all Ubuntu patches.
  * Update symbols file.
  * Update for qtsensors5-dev → libqt5sensors5-dev renaming.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 11 May 2014 11:05:04 +0400

qtwebkit-opensource-src (5.2.1+dfsg1-1) unstable; urgency=medium

  * Rename libqt5webkit5-qmlwebkitplugin to qml-module-qtwebkit, adding proper
    Break and Replaces.
  * Add qtdeclarative5-dev as a dependency of libqt5webkit5-dev as it seems
    to be a requirement for stuff building with webkit.
  * Update symbols files with buildd's logs.
  * Remove prune-nonfree from debian/rules and instead use Files-Excluded in
    debian/copyright.
  * Remove dygraph-combined.js from the original tarball: minified javascript
    without source.
  * Increase dfsg revision to 1 due to the new source tarball.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 27 Apr 2014 22:23:04 -0300

qtwebkit-opensource-src (5.2.1+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 22:54:34 -0300

qtwebkit-opensource-src (5.2.1+dfsg-4) experimental; urgency=medium

  * Backport dont_pollute_pri_and_pc_with_private_deps.patch to avoid
    propagating wrong linker flags (Closes: #711307).
  * Create reduce_memory_usage.patch forcing ld to not cache the symbol tables
    of input files in memory to avoid memory exhaustion during the linking
    phase.
  * Disable JIT on armel, mips and mipsel.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Mar 2014 11:27:03 -0300

qtwebkit-opensource-src (5.2.1+dfsg-3) experimental; urgency=medium

  * Update symbols files with buildd's and current logs.
  * Only generate debugging symbols on selected archs.
    - Use gstabs on i386, powerpc and s390x.
    - Use full debugging only on amd64.
    - Set libqt5webkit5-dbg's Architecture list accordingly.
    - Remove stabs_format_debug_info.diff, no longer needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Feb 2014 21:51:37 -0300

qtwebkit-opensource-src (5.2.1+dfsg-2) experimental; urgency=medium

  * Backport fix_ftbfs_in_archs_without_jit_support.patch to fix FTBFSs in
    archs without JIT support.
  * Remove code in debian/rules that tried to fix the above unsuccessfully.
  * Also remove disable_jit_llint.diff with the same purpose.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 21 Feb 2014 13:29:40 -0300

qtwebkit-opensource-src (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files with buildd's logs.
  * Bump Qt build dependencies to 5.2.1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Feb 2014 20:42:53 -0300

qtwebkit-opensource-src (5.2.1+dfsg-0ubuntu2) trusty; urgency=medium



=== debian/control ===
Source: qtwebkit-opensource-src
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: bison,
               chrpath,
               debhelper (>= 9.0.0),
               flex,
               gperf,
               libfontconfig1-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libicu-dev,
               libjpeg-dev,
               libpng-dev,
               libqt5opengl5-dev (>= 5.3.0+dfsg~),
               libqt5xmlpatterns5-private-dev (>= 5.3.0~),
               libsqlite3-dev,
               libudev-dev,
               libxcomposite-dev,
               libxml2-dev,
               libxrender-dev,
               libxslt1-dev,
               mesa-common-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               python-minimal,
               python2.7,
               qtbase5-private-dev (>= 5.3.0+dfsg~),
               qtdeclarative5-private-dev (>= 5.3.0~),
               qtscript5-private-dev (>= 5.3.0~),
               ruby
Standards-Version: 3.9.5
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qt5webkit.git;a=summary
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtwebkit-opensource-src

Package: libqt5webkit5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libqt5webkit5 (= ${binary:Version}),
         libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
         libgstreamer-plugins-base1.0-dev,
         libqt5opengl5-dev,
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends}
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 5 applications
 using QtWebKit library.

Package: libqt5webkit5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the QtWebKit libraries.

Package: libqt5webkit5-qmlwebkitplugin
Architecture: all
Section: oldlibs
Depends: qml-module-qtwebkit, ${misc:Depends}
Description: transitional dummy package for Qt WebKit QML module
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This is a transitional dummy package which can be safely removed.

Package: qml-module-qtwebkit
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5webkit5-qmlwebkitplugin (<< 5.2.1+dfsg-6~)
Replaces: libqt5webkit5-qmlwebkitplugin (<< 5.2.1+dfsg-6~)
Description: Qt WebKit QML module
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML module for QtDeclarative.

Package: libqt5webkit5-dbg
Priority: extra
Architecture: amd64 i386 powerpc s390x
Multi-Arch: same
Section: debug
Depends: libqt5webkit5 (= ${binary:Version}), ${misc:Depends}
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

Package: qtwebkit5-doc-html
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 webkit HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 webkit
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

gstab_architectures := amd64 i386 powerpc s390x
fulldebug_architectures := none
disabled_jit_architectures := armel mips mipsel

%:
	dh $@ --parallel --dbg-package=libqt5webkit5-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	# Run qmake once to create .qmake.conf and be sure to append the following values.
	qmake WEBKIT_CONFIG-=use_webp

# Enable gstabs debugging symbols only on gstab_architectures.
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gstab_architectures)))
	echo "QMAKE_CXXFLAGS -= -g" >> .qmake.conf
	echo "QMAKE_CXXFLAGS += -gstabs" >> .qmake.conf
# Enable normal debugging symbols only on fulldebug_architectures.
else ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(fulldebug_architectures)))
	echo "QMAKE_CXXFLAGS += -g" >> .qmake.conf
else
# Disable debugging symbols in all the other archs.
	echo "QMAKE_CXXFLAGS -= -g" >> .qmake.conf
	echo "QMAKE_CXXFLAGS -= -gstabs" >> .qmake.conf
endif

# Disable JIT on selected architectures
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(disabled_jit_architectures)))
	echo "QMAKE_CXXFLAGS += -DENABLE_JIT=0" >> .qmake.conf
endif

	# Run qmake again now with the proper values.
	qmake

override_dh_auto_build-arch:
	# This override may seem futile, but it helps us make sure that the tools
	# needed for building the docs are built before calling them.
	# If there's a better way, do not heasitate to tell us.
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- html_docs

override_dh_auto_install-arch:
	make install INSTALL_ROOT=$(CURDIR)/debian/tmp
	
	# Remove rpath from the offending binaries
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebProcess
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebPluginProcess
	
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
	
	# Remove private headers
	rm -rf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebKit/*/QtWebKit
	rm -rf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebKitWidgets/*/QtWebKitWidgets
	# And associated files
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_webkit_private.pri
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_webkitwidgets_private.pri
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_html_docs

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebkit-opensource-src-([^-]*)\.tar.xz

## qtwebkit-opensource-src 5.3.1+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.3.1+dfsg-3) unstable; urgency=medium

  [ Julián Moreno Patiño ]
  * Team upload.

  [ Sune Vuorela ]
  * Link with -rt on hurd and kfreebsd (Closes: #757161).

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 11 Aug 2014 16:01:41 -0500

qtwebkit-opensource-src (5.3.1+dfsg-2) unstable; urgency=medium

  * Add hppa_wtf-dtoa-utils.diff to solve a FTBFS in HPPA (Closes: #753409).
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Jul 2014 17:36:35 -0300

qtwebkit-opensource-src (5.3.1+dfsg-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies, using qtbase-private-dev >= 5.3.1 to get
    qtbase-abi-5-3-1.
  * Update symbols files with buildds' logs.
  * Switch amd64's debugging symbols to stabs again. I can't build dwarf
    symbols anymore due to lack of RAM, and I doubt our buildds could too.

  [ Alf Gaida ]
  * Fix QML module's install file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 29 Jun 2014 15:59:39 -0300

qtwebkit-opensource-src (5.3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.
  * Switch back to build full debugging symbols on amd64.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 00:31:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qtwebkit-opensource-src
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
@@ -15,15 +14,15 @@
                libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
                libglib2.0-dev,
                libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
-               libgstreamer1.0-dev,
-               libgstreamer-plugins-base1.0-dev,
+               libgstreamer-plugins-base0.10-dev,
+               libgstreamer0.10-dev,
                libicu-dev,
                libjpeg-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.3.0+dfsg~),
-               libqt5xmlpatterns5-private-dev (>= 5.3.0~),
+               libqt5opengl5-dev (>= 5.3.1+dfsg~),
+               libqt5xmlpatterns5-private-dev (>= 5.3.1~),
                libsqlite3-dev,
-               libudev-dev,
+               libwebp-dev,
                libxcomposite-dev,
                libxml2-dev,
                libxrender-dev,
@@ -33,16 +32,15 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.3.0+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.0~),
-               qtscript5-private-dev (>= 5.3.0~),
+               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
+               qtdeclarative5-private-dev (>= 5.3.1~),
+               qtscript5-private-dev (>= 5.3.1~),
                ruby
 Standards-Version: 3.9.5
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qt5webkit.git;a=summary
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtwebkit-opensource-src
 
 Package: libqt5webkit5-dev
 Section: libdevel
@@ -50,10 +48,6 @@
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5webkit5 (= ${binary:Version}),
-         libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
-         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
-         libgstreamer-plugins-base1.0-dev,
-         libqt5opengl5-dev,
          qtbase5-dev,
          qtdeclarative5-dev,
          ${misc:Depends}
@@ -74,16 +68,6 @@
  from the World Wide Web into your Qt application.
  .
  This package contains the QtWebKit libraries.
-
-Package: libqt5webkit5-qmlwebkitplugin
-Architecture: all
-Section: oldlibs
-Depends: qml-module-qtwebkit, ${misc:Depends}
-Description: transitional dummy package for Qt WebKit QML module
- QtWebKit provides a Web browser engine that makes it easy to embed content
- from the World Wide Web into your Qt application.
- .
- This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtwebkit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 override_dh_auto_configure:
 	# Run qmake once to create .qmake.conf and be sure to append the following values.
-	qmake WEBKIT_CONFIG-=use_webp
+	qmake
 
 # Enable gstabs debugging symbols only on gstab_architectures.
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gstab_architectures)))

## qtwebkit-opensource-src 5.3.2+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.3.2+dfsg-2~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Oct 2014 23:03:55 -0300

qtwebkit-opensource-src (5.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 00:21:56 -0300

qtwebkit-opensource-src (5.3.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Remove unused code from debian/rules.
  * Update Vcs-Browser field to point to cgit interface.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Refresh patches.
  * Remove hppa_wtf-dtoa-utils.diff, applied upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 17 Sep 2014 00:23:05 -0300

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                libicu-dev,
                libjpeg-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.3.1+dfsg~),
-               libqt5xmlpatterns5-private-dev (>= 5.3.1~),
+               libqt5opengl5-dev (>= 5.3.2+dfsg~),
+               libqt5xmlpatterns5-private-dev (>= 5.3.2~),
                libsqlite3-dev,
                libwebp-dev,
                libxcomposite-dev,
@@ -32,15 +32,15 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
-               qtdeclarative5-private-dev (>= 5.3.1~),
-               qtscript5-private-dev (>= 5.3.1~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.2~),
+               qtscript5-private-dev (>= 5.3.2~),
                ruby
 Standards-Version: 3.9.5
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qt5webkit.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qt5webkit.git
 
 Package: libqt5webkit5-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 gstab_architectures := amd64 i386 powerpc s390x
 fulldebug_architectures := none
@@ -44,12 +43,6 @@
 	# Run qmake again now with the proper values.
 	qmake
 
-override_dh_auto_build-arch:
-	# This override may seem futile, but it helps us make sure that the tools
-	# needed for building the docs are built before calling them.
-	# If there's a better way, do not heasitate to tell us.
-	dh_auto_build
-
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- html_docs

## qtwebkit-opensource-src 5.4.1+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.4.1+dfsg-3tanglu1) staging; urgency=medium

  * Add upstream patch to allow building with newer GLib versions
    (see https://codereview.qt-project.org/#/c/107411/ )

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Mar 2015 21:01:34 +0100

qtwebkit-opensource-src (5.4.1+dfsg-3) experimental; urgency=medium

  * Comment out libleveldb-dev build-dependency for now, it causes
    linking errors on some architectures.
  * Disable leveldb_memenv_path.diff as well.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Mar 2015 17:03:48 +0300

qtwebkit-opensource-src (5.4.1+dfsg-2) experimental; urgency=medium

  * Update leveldb_memenv_path.diff to make it really work.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Mar 2015 11:28:50 +0300

qtwebkit-opensource-src (5.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to use https://download.qt.io/.
  * Bump Qt build-dependencies to 5.4.1.
  * Build-depend on libleveldb-dev so that the system leveldb copy
    is used, and not the private one.
    - Add a patch to use Debian path to memenv.h.
  * Refresh patches for the new release.
  * Minor debian/copyright updates.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2015 19:43:59 +0300

qtwebkit-opensource-src (5.4.0+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Add qtbase5-doc-html to Build-Depends-Indep to make sure docs
    are properly linked with qtbase.
  * Drop these patches, applied upstream:
    - do_not_use_jit_on_big_endian_machines.patch
    - fix_cloop_on_big_endian_machines.patch
    - fix_crash_when_a_network_request_is_aborted_while_forwarding_data.patch
    - blacklist_libkpartsplugin.patch
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update symbols files.
  * Add myself to Uploaders.

  [ Harald Sitter ]
  * Disable precompiled headers on amd64, powerpc and s390x.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Dec 2014 19:30:06 +0300

qtwebkit-opensource-src (5.3.2+dfsg-3) unstable; urgency=medium

  * Backport three patches to fix crashes:
    - do_not_use_jit_on_big_endian_machines.patch
    - fix_cloop_on_big_endian_machines.patch
    - fix_crash_when_a_network_request_is_aborted_while_forwarding_data.patch
  * Backport blacklist_libkpartsplugin.patch to prevent a crash due to a plugin
    built against Qt4 (Closes: #744006).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 17 Oct 2014 02:04:39 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: bison,
                chrpath,
                debhelper (>= 9.0.0),
@@ -18,9 +19,10 @@
                libgstreamer0.10-dev,
                libicu-dev,
                libjpeg-dev,
+#              libleveldb-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.3.2+dfsg~),
-               libqt5xmlpatterns5-private-dev (>= 5.3.2~),
+               libqt5opengl5-dev (>= 5.4.1+dfsg~),
+               libqt5xmlpatterns5-private-dev (>= 5.4.1~),
                libsqlite3-dev,
                libwebp-dev,
                libxcomposite-dev,
@@ -32,11 +34,12 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.2~),
-               qtscript5-private-dev (>= 5.3.2~),
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.1~),
+               qtscript5-private-dev (>= 5.4.1+dfsg~),
                ruby
-Standards-Version: 3.9.5
+Build-Depends-Indep: qtbase5-doc-html (>= 5.4.1+dfsg~)
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 gstab_architectures := amd64 i386 powerpc s390x
 fulldebug_architectures := none
 disabled_jit_architectures := armel mips mipsel
+disabled_pch_architectures := amd64 powerpc s390x
 
 %:
 	dh $@ --parallel --dbg-package=libqt5webkit5-dbg --with pkgkde_symbolshelper
@@ -38,6 +39,12 @@
 # Disable JIT on selected architectures
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(disabled_jit_architectures)))
 	echo "QMAKE_CXXFLAGS += -DENABLE_JIT=0" >> .qmake.conf
+endif
+
+# Disable header precompliation as it creates invalid includes on certain
+# architectures causing build failure. LP: 1395661
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(disabled_pch_architectures)))
+	echo "CONFIG -= precompile_header" >> .qmake.conf
 endif
 
 	# Run qmake again now with the proper values.

## qtwebkit-opensource-src 5.4.2+dfsg

=== Tools/DumpRenderTree/TestNetscapePlugIn/CMakeLists.txt ===
set(WEBKIT_TESTNETSCAPEPLUGIN_DIR "${TOOLS_DIR}/DumpRenderTree/TestNetscapePlugIn")

set(WebKitTestNetscapePlugin_SOURCES
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/PluginObject.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/PluginTest.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/TestObject.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/main.cpp

    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/DocumentOpenInDestroyStream.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/EvaluateJSAfterRemovingPluginElement.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/FormValue.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/GetURLNotifyWithURLThatFailsToLoad.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/GetURLWithJavaScriptURL.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/GetURLWithJavaScriptURLDestroyingPlugin.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/GetUserAgentWithNullNPPFromNPPNew.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/LogNPPSetWindow.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/NPDeallocateCalledBeforeNPShutdown.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/NPPNewFails.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/NPPSetWindowCalledDuringDestruction.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/NPRuntimeCallsWithNullNPP.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/NPRuntimeObjectFromDestroyedPlugin.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/NPRuntimeRemoveProperty.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/NullNPPGetValuePointer.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/PassDifferentNPPStruct.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/PluginScriptableNPObjectInvokeDefault.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/PluginScriptableObjectOverridesAllProperties.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/PrivateBrowsing.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/ToStringAndValueOfObject.cpp
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/Tests/x11/CallInvalidateRectWithNullNPPArgument.cpp
)

set(WebKitTestNetscapePlugin_INCLUDE_DIRECTORIES
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}
    ${WEBKIT_TESTNETSCAPEPLUGIN_DIR}/unix/ForwardingHeaders
    ${WEBCORE_DIR}
)

include_directories(${WebKitTestNetscapePlugin_INCLUDE_DIRECTORIES})

set(WebKitTestNetscapePlugin_LIBRARIES
    ${X11_LIBRARIES}
)

add_library(TestNetscapePlugin SHARED ${WebKitTestNetscapePlugin_SOURCES})
target_link_libraries(TestNetscapePlugin ${WebKitTestNetscapePlugin_LIBRARIES})

=== debian/changelog ===
qtwebkit-opensource-src (5.4.2+dfsg-1ubuntu2.1) wily; urgency=medium

  * Build using ICU 55.1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jul 2015 12:26:43 +0200

qtwebkit-opensource-src (5.4.2+dfsg-1ubuntu2) wily; urgency=medium

  * Rebuild for GCC5 transition.
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sun, 12 Jul 2015 15:33:28 +0300

qtwebkit-opensource-src (5.4.2+dfsg-1ubuntu1) wily; urgency=medium

  * New upstream release.
  * Drop upstream patches:
    - fix_unsafe_memory_load_store_on_arm.patch
    - fix_gmutexlocker.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 09:37:58 +0000

qtwebkit-opensource-src (5.4.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Sort debian/qml-module-qtwebkit.install.
  * Fix some substitutions in debian/libqt5webkit5.symbols.
  * Remove all obsolete sparc-specific symbols (Closes: #782063).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release (Closes: 778359).
    - Bump Qt build dependencies to 5.4.2.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Expose HTML documentation (Closes: #751186).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 23:00:28 -0300

qtwebkit-opensource-src (5.4.1+dfsg-2ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Merge with Debian's 5.4.1+dfsg-2.
  * debian/patches/fix_gmutexlocker.patch:
    - Fix FTBFS due to new glib
  * Comment out libleveldb-dev build-dep

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 10 Mar 2015 11:39:12 +0000

qtwebkit-opensource-src (5.4.0+dfsg-1ubuntu1) vivid; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release.
  * Bump build dependencies
  * Drop debian/patches/LLIntCLoop32BigEndian.patch

  [ Dmitry Shachnev ]
  * Merge with Debian experimental, remaining changes:
    - Build with GStreamer 1.0 and without WebP (in universe)
    - Keep the transitional QML package
    - Keep additional patches from webkit.org upstream
    - Keep Ubuntu device pixel ratio patches

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:34:49 +0000

qtwebkit-opensource-src (5.3.2+dfsg-2ubuntu1) vivid; urgency=medium

  * New upstream release
  * Sync with Debian 5.3.2+dfsg-2, remaining changes:
    - Build with GStreamer 1.0 and without WebP (in universe)
    - Keep the transitional QML package
    - Keep additional patches from webkit.org upstream
    - Keep Ubuntu device pixel ratio patches
  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 16 Jul 2014 13:39:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: qtwebkit-opensource-src
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Timo Jyrinki <timo@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: bison,
@@ -15,16 +15,15 @@
                libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
                libglib2.0-dev,
                libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
-               libgstreamer-plugins-base0.10-dev,
-               libgstreamer0.10-dev,
+               libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev,
                libicu-dev,
                libjpeg-dev,
-#              libleveldb-dev,
+#               libleveldb-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.4.1+dfsg~),
-               libqt5xmlpatterns5-private-dev (>= 5.4.1~),
+               libqt5opengl5-dev (>= 5.4.2+dfsg~),
+               libqt5xmlpatterns5-private-dev (>= 5.4.2~),
                libsqlite3-dev,
-               libwebp-dev,
                libxcomposite-dev,
                libxml2-dev,
                libxrender-dev,
@@ -34,16 +33,17 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.1~),
-               qtscript5-private-dev (>= 5.4.1+dfsg~),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.2~),
+               qtscript5-private-dev (>= 5.4.2+dfsg~),
                ruby
-Build-Depends-Indep: qtbase5-doc-html (>= 5.4.1+dfsg~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.4.2+dfsg~)
 Standards-Version: 3.9.6
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt5webkit.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qt5webkit.git
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtwebkit-opensource-src
 
 Package: libqt5webkit5-dev
 Section: libdevel
@@ -71,6 +71,16 @@
  from the World Wide Web into your Qt application.
  .
  This package contains the QtWebKit libraries.
+
+Package: libqt5webkit5-qmlwebkitplugin
+Architecture: all
+Section: oldlibs
+Depends: qml-module-qtwebkit, ${misc:Depends}
+Description: transitional dummy package for Qt WebKit QML module
+ QtWebKit provides a Web browser engine that makes it easy to embed content
+ from the World Wide Web into your Qt application.
+ .
+ This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtwebkit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 gstab_architectures := amd64 i386 powerpc s390x
 fulldebug_architectures := none
@@ -21,7 +22,7 @@
 
 override_dh_auto_configure:
 	# Run qmake once to create .qmake.conf and be sure to append the following values.
-	qmake
+	qmake WEBKIT_CONFIG-=use_webp
 
 # Enable gstabs debugging symbols only on gstab_architectures.
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gstab_architectures)))
